Subject: Re: pull request: wireless-2.6 2008-08-26

From: Michael Buesch <[email-masked]>
Date: Wed, 27 Aug 2008 22:25:09 +0200

On Wednesday 27 August 2008, Tomas Winkler wrote:
> > John W. Linville (1):
> >      mac80211: quiet chatty IBSS merge message
> 
> This patch is correct yet it suppresses an important warning, meaning
> that you have constant IBSS reconnection, remove all connected station
> and adding them again, This greatly degraded performance. This is
> caused by inability to adjust to TSF of the IBSS leader
> 
> <snipt>
> static int ieee80211_sta_join_ibss(struct net_device *dev,
> 				   struct ieee80211_if_sta *ifsta,
> 				   struct ieee80211_sta_bss *bss)
> .....
> /* Remove possible STA entries from other IBSS networks. */
> 	sta_info_flush_delayed(sdata);
> </snip>

I fail to see how the TSF could be related to an ever reconnecting
station. Can you elaborate on what happens?

I was under the impression that the firmware would handle TSF stuff.
Also the "IBSS leader" is a new thing to me. I remember from the specs
that the device should accept the TSF from _any_ beacon. Not just a
"leader". Am I mislead? :)

I also fail to see how we could _ever_ set the TSF to something remotely
correct from the driver because of the FIFO delay.

> 
> > Assaf Krauss (1):
> >      iwlwifi: W/A for the TSF correction in IBSS

I cannot find this patch in wireless-testing and I don't
have a copy of wireless-2.6 here. Can you send me the patch, or
explain what it does?
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html